# XQilla Simple API Documentation

# AutoRegexGroupStoreReset Class Reference

`#include <ContextHelpers.hpp>`

List of all members.

## Public Member Functions

| AutoRegexGroupStoreReset (DynamicContext *context, const RegexGroupStore *store=0)
| ~AutoRegexGroupStoreReset ()
void | reset ()

## Protected Attributes

DynamicContext * | context_
const RegexGroupStore * | _oldRegexStore

## Constructor & Destructor Documentation

AutoRegexGroupStoreReset::AutoRegexGroupStoreReset | ( | DynamicContext * | context,
|  | const RegexGroupStore * | store = `0` |
| ) |  |  | `[inline]`

References DynamicContext::getRegexGroupStore().

AutoRegexGroupStoreReset::~AutoRegexGroupStoreReset | ( |  | ) | `[inline]`

## Member Function Documentation

void AutoRegexGroupStoreReset::reset | ( |  | ) | `[inline]`

## Member Data Documentation

const RegexGroupStore* AutoRegexGroupStoreReset::_oldRegexStore `[protected]`

DynamicContext* AutoRegexGroupStoreReset::context_ `[protected]`

The documentation for this class was generated from the following file:

- ContextHelpers.hpp